REM CHECK for x64
set CERTMGR=certmgr_x86
if defined %PROCESSOR_ARCHITEW6432%  goto AMD64
if not %PROCESSOR_ARCHITECTURE% == AMD64 goto Continue
:AMD64
set CERTMGR=certmgr_x64

@Echo *******************************************************************************
@Echo This machine is running X64 Version Windows...
@ECHO On x64 Vista+, Testsigning must be set on for test signature to work correctly.
@Echo If Testsigning is on, you will see "Test Mode" in the 4 corners of your desktop.
@ECHO .
@Echo If Testsigning is not on, please open a command window, running
@Echo as Administrator, and issue the command:
@Echo bcdedit -set testsigning on
@Echo Then please reboot and rerun this script.
@Echo *******************************************************************************
bcdedit -set testsigning on
Pause
:Continue
cls

@Echo *******************************************************************************
@Echo Before you can install your Driver Package you must add your test certificates
@Echo into the certificate store on the target machine.
@Echo .
@Echo You can automate certificate installation using the certmgr.exe tool.
@Echo Syntax: certmgr.exe -add TestCert.cer -s -r localMachine root 
@Echo *******************************************************************************

%CERTMGR% -add TestCert54.cer -s -r localMachine root 
%CERTMGR% -add TestCert54.cer -s -r localMachine trustedpublisher
Pause
